Subject: Re: [RTG-DIR] OPS-DIR review: draft-ietf-l2vpn-vpls-ldp-mac-opt-11.txt

From: "Fedyk, Don" <[email-masked]>
Date: Tue, 20 May 2014 14:36:43 +0000

Hi Sue

Here is a draft to address your comments.   I tried to clarify the procedures as you requested since the details of PBB may not be understood by some.   I've been the main editor on this on what was supposed to be a simple cleanup of the document to publication (OK no such thing).  Note I add myself to the front page since I was listed in the document only and this has caused confusion  (like me missing your comments.) 

I would appreciate if you can tell me if my text addresses your concerns.  

Inline [Don]

Thanks,
Don 

-------Original Message------------
Florin, Dutta, Olen and Geraldine:

Document ready for publication: Not yet - Technical  and editorial issues need to be addressed 

Technical mechanism:  Good mechanism and needed for internet.  Most technical issues are due to write-up, but without a clear mechanism interoperability issues will probably occur. 

Resolution: 
1.	Consider technical issue 1 
2.	Fix obvious editorial errors - (section references, MS-PW, ordering of processing) 
3.	Fix problems 2-4 in the text's clarity and accurate 
4.	Consider strongly rewording document - if you can do this within the WG 
(no further comment is made on this point) 

Technical errors: 

1.	Basic mechanism is good 
a.	N=1 Clear mine, N=0 Clear other than mine
b.	C= Context - PBB-VPLS I-context (1), H-VPLS/BMACS = 0

2.	Mechanism to consider for operational issue  

         Problem 1: Negotiation is outside your context  (to be considered) 

       Negotiation being outside your context does not mean you cannot
       flag that a flush has been part of a negotiated  Flush entity. 

      Have all users of MAC flush set a flag bit if the setting is negotiated.
      This may help you debugging of this feature distribution. 

[Don] I have not addressed this comment which would require a protocol change.  We had discussion on capabilities negotiation and there is a yet unaddressed issue to provide a more general procedure for negotiation. The result was we agreed to document the procedures without a negotiation.  

      Problem 2 (Technical/Editorial) - Clarity of mechanisms in text 

       Due to expert level of the authors, I assume in this write-up that the 
       lack of clarity is a documentation issue. 

       Sections 5.1.2 - 5.1.4 do not have a clear step by step processing. 
       It is not "what" you do that is the problem, but the order of the processing 
      That is not clearly specified.  I cannot tell if there is an ordering of the process.
       An ordered list (1-n) is useful if it is ordered.  A clearly delineated set of steps.
       Your references to the operations section should be 6 (5.1.2, 5.1.3)  

        I am not suggesting a specific ordering or language just a clean-up.
        Why?  Because I know Florin to be an excellent author.  I suspect
       that this text is the result of editorial hacks from the WG - but 
       the result I cannot tell how to process each section. 

       Editorial nit: MS-PW - is not defined (or I missed it). 

       Sections 5.2.1 - I could not follow the step by step processing of the 
       Packet until I made notes on the side. 

     Problem 3:  Technical/Editorial: I cannot tell the fallback case - must fix 

      Because sections 5.1.2-5.1.4 and 5.2.1 are not clearly written,
      I cannot tell what the fall-back mechanism is if one side negotiates
      And expects this option, and the other side does not. 

       Operational considerations try to address this, but the clarity of the
       Text fails. 
[Don]  Hopefully my changes have addressed this comment.

     Problem 4:  IANA section - must fix 

    I do not believe this section provides the details required by IANA.
    Please have your shepherd check do a pre-check with IANA - it will save you time. 

[Don] This section was updated as part of other comments.  Please check the updates address your point. 

Next steps: 
1.	Consider problem 1 
2.	Fix problems 2-4 and section errors 

OPS-DIR reviewer comment:  I'm glad to help you form text or provide text.  Out of respect for the authors, I have only pointed the way to allow the authors the freedom to revise the text to address the issues. 

Sue Hares 
[email-masked]